summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVishal Bhoj <vishal.bhoj@linaro.org>2016-02-19 13:48:14 +0530
committerVishal Bhoj <vishal.bhoj@linaro.org>2016-02-19 14:21:15 +0530
commit4dd2a76f47ba82985ad3c92626291e8766843b00 (patch)
tree6542bdef01ff488b16d54cb2854371e7539639e5
parentb1689fb884ab27bb8f13cf6eeb61ff61594d9b76 (diff)
test-art-target-test: Include libcore test
Signed-off-by: Vishal Bhoj <vishal.bhoj@linaro.org>
-rwxr-xr-xsetup-android.sh2
-rwxr-xr-xtest-art-target-test.sh19
2 files changed, 19 insertions, 2 deletions
diff --git a/setup-android.sh b/setup-android.sh
index 8038df3..928cd1d 100755
--- a/setup-android.sh
+++ b/setup-android.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-set -e
+set -xe
export LANG=C
export PATH=$PWD/tests:$PATH
diff --git a/test-art-target-test.sh b/test-art-target-test.sh
index 3850912..a41966c 100755
--- a/test-art-target-test.sh
+++ b/test-art-target-test.sh
@@ -71,6 +71,14 @@ make -j12 test-art-target-sync
export ART_TEST_NO_SYNC=true
+./art/tools/run-libcore-tests.sh --mode=device --variant=X64 > $WORKSPACE/build-logs-libcore-tests.txt 2>&1
+
+if [[ $? -ne 0 ]]; then
+ echo "Error: *** libcore tests failed"
+ cat $WORKSPACE/build-logs-libcore-tests.txt
+ failed=1
+fi
+
make -j2 test-art-target-gtest64 > $WORKSPACE/build-logs-gtest-64.txt 2>&1
if [[ $? -ne 0 ]]; then
@@ -154,6 +162,14 @@ make -j12 test-art-target-sync
export ART_TEST_NO_SYNC=true
+./art/tools/run-libcore-tests.sh --mode=device --variant=X32 >> $WORKSPACE/build-logs-libcore-tests.txt 2>&1
+
+if [[ $? -ne 0 ]]; then
+ echo "Error: *** libcore tests failed"
+ cat $WORKSPACE/build-logs-libcore-tests.txt
+ failed=1
+fi
+
make -j2 test-art-target-gtest32 > $WORKSPACE/build-logs-gtest-32.txt 2>&1
if [[ $? -ne 0 ]]; then
@@ -217,7 +233,8 @@ ccache -s
[[ $JENKINS_MODE ]] && dmesg >> $WORKSPACE/device_log.txt
if [[ $failed -ne 0 ]]; then
- cat $WORKSPACE/build-logs-32.txt | grep -i "FAILED!" > $WORKSPACE/failed-test.txt
+ cat $WORKSPACE/build-logs-libcore-tests.txt | grep "FAIL " | sed "s/^[ \t]*//" | sed -e "s/ .*//g" > $WORKSPACE/failed-test.txt
+ cat $WORKSPACE/build-logs-32.txt | grep -i "FAILED!" >> $WORKSPACE/failed-test.txt
cat $WORKSPACE/build-logs-64.txt | grep -i "FAILED!" >> $WORKSPACE/failed-test.txt
grep " FAILED" $WORKSPACE/build-logs-32.txt | grep "^test" | sed -e "s/ FAILED//g" | grep gtest >> $WORKSPACE/failed-test.txt
grep " FAILED" $WORKSPACE/build-logs-64.txt | grep "^test" | sed -e "s/ FAILED//g" | grep gtest >> $WORKSPACE/failed-test.txt